[Request] Rotation for Individual Objects
-
Hi all,
Is there a way to rotate one object (group) according to its own axes while other stuff on the screen stand still? or Anyone has tried anything like that? Thank you!
-Max
-
You might be looking for something else, but with the SU rotate tool you can drag it along a line to set an axis of rotation.
You can also rotate groups using the move tool, you first need to select the group->move tool and then grab one of the little red handles on the group that appear when you move your mouse over a face of the bounding box. It makes more sense when you do it...
-
@antantantant said:
Hi all,
Is there a way to rotate one object (group) according to its own axes while other stuff on the screen stand still? or Anyone has tried anything like that? Thank you!
-Max
Hi Max. You just create a new Transformation object using any Point3d, Vector3d, and an angle; then apply it to the Group.
The following rotates a Group around the it's own Z_AXIS by 90 degrees.
# First, select a Group group = Sketchup.active_model.selection[0] group.transform! Geom;;Transformation.rotation(group.transformation.origin, Z_AXIS, 90.degrees)
-
@jim said:
@antantantant said:
Hi all,
Is there a way to rotate one object (group) according to its own axes while other stuff on the screen stand still? or Anyone has tried anything like that? Thank you!
-Max
Hi Max. You just create a new Transformation object using any Point3d, Vector3d, and an angle; then apply it to the Group.
The following rotates a Group around the it's own Z_AXIS by 90 degrees.
> # First, select a Group > group = Sketchup.active_model.selection[0] > group.transform! Geom;;Transformation.rotation(group.transformation.origin, Z_AXIS, 90.degrees) >
Thank you and sorry...
What I really mean is "orbit". My question is:Is there a way to divide the screen into smaller scenes so that I can orbit each one independently?
Thank you again!
-Max
-
@antantantant said:
Is there a way to divide the screen into smaller scenes so that I can orbit each one independently?
That... would be neat. Multiple viewports. I could see aplications where one might want to see multiple sides at once. All panes would reflect the work you're doing.
I like that. But I have now idea how that would get done though.
-Scott
-
I like the idea of multiple panes that are interactive. That might even make the inference issue that people have a bit less challenging too.
Advertisement